<?php

namespace App\Entity;

use App\Repository\VisitNoteMembersRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Types\UuidType;
use Symfony\Component\Uid\Uuid;

#[ORM\Entity(repositoryClass: VisitNoteMembersRepository::class)]
class VisitNoteMembers
{
    #[ORM\Id]
    #[ORM\Column(type: UuidType::NAME, unique: true)]
    #[ORM\GeneratedValue(strategy: 'CUSTOM')]
    #[ORM\CustomIdGenerator(class: 'doctrine.uuid_generator')]
    private ?Uuid $id = null;

    #[ORM\ManyToOne]
    #[ORM\JoinColumn(nullable: false)]
    private ?VisitNote $note = null;

    #[ORM\ManyToOne]
    #[ORM\JoinColumn(nullable: false)]
    private ?Member $person = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getVisitNote(): ?VisitNote
    {
        return $this->note;
    }

    public function setVisitNote(?VisitNote $note): static
    {
        $this->note = $note;

        return $this;
    }

    public function getPerson(): ?Member
    {
        return $this->person;
    }

    public function setPerson(?Member $person): static
    {
        $this->person = $person;

        return $this;
    }
}
